1# Makefile.in generated by automake 1.15.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#   Copyright (C) 2005-2006, 2008-2009, 2017 Rocky Bernstein
18#   <rocky@gnu.org>
19#
20#   This program is free software: you can redistribute it and/or modify
21#   it under the terms of the GNU General Public License as published by
22#   the Free Software Foundation, either version 3 of the License, or
23#   (at your option) any later version.
24#
25#   This program is distributed in the hope that it will be useful,
26#   but WITHOUT ANY WARRANTY; without even the implied warranty of
27#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
28#   GNU General Public License for more details.
29#
30#   You should have received a copy of the GNU General Public License
31#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
32
33VPATH = @srcdir@
34am__is_gnu_make = { \
35  if test -z '$(MAKELEVEL)'; then \
36    false; \
37  elif test -n '$(MAKE_HOST)'; then \
38    true; \
39  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
40    true; \
41  else \
42    false; \
43  fi; \
44}
45am__make_running_with_option = \
46  case $${target_option-} in \
47      ?) ;; \
48      *) echo "am__make_running_with_option: internal error: invalid" \
49              "target option '$${target_option-}' specified" >&2; \
50         exit 1;; \
51  esac; \
52  has_opt=no; \
53  sane_makeflags=$$MAKEFLAGS; \
54  if $(am__is_gnu_make); then \
55    sane_makeflags=$$MFLAGS; \
56  else \
57    case $$MAKEFLAGS in \
58      *\\[\ \	]*) \
59        bs=\\; \
60        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
61          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
62    esac; \
63  fi; \
64  skip_next=no; \
65  strip_trailopt () \
66  { \
67    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
68  }; \
69  for flg in $$sane_makeflags; do \
70    test $$skip_next = yes && { skip_next=no; continue; }; \
71    case $$flg in \
72      *=*|--*) continue;; \
73        -*I) strip_trailopt 'I'; skip_next=yes;; \
74      -*I?*) strip_trailopt 'I';; \
75        -*O) strip_trailopt 'O'; skip_next=yes;; \
76      -*O?*) strip_trailopt 'O';; \
77        -*l) strip_trailopt 'l'; skip_next=yes;; \
78      -*l?*) strip_trailopt 'l';; \
79      -[dEDm]) skip_next=yes;; \
80      -[JT]) skip_next=yes;; \
81    esac; \
82    case $$flg in \
83      *$$target_option*) has_opt=yes; break;; \
84    esac; \
85  done; \
86  test $$has_opt = yes
87am__make_dryrun = (target_option=n; $(am__make_running_with_option))
88am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
89pkgdatadir = $(datadir)/@PACKAGE@
90pkgincludedir = $(includedir)/@PACKAGE@
91pkglibdir = $(libdir)/@PACKAGE@
92pkglibexecdir = $(libexecdir)/@PACKAGE@
93am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
94install_sh_DATA = $(install_sh) -c -m 644
95install_sh_PROGRAM = $(install_sh) -c
96install_sh_SCRIPT = $(install_sh) -c
97INSTALL_HEADER = $(INSTALL_DATA)
98transform = $(program_transform_name)
99NORMAL_INSTALL = :
100PRE_INSTALL = :
101POST_INSTALL = :
102NORMAL_UNINSTALL = :
103PRE_UNINSTALL = :
104POST_UNINSTALL = :
105build_triplet = @build@
106host_triplet = @host@
107@BUILD_EXAMPLES_TRUE@noinst_PROGRAMS = device$(EXEEXT) eject$(EXEEXT) \
108@BUILD_EXAMPLES_TRUE@	isofile$(EXEEXT) isofile2$(EXEEXT) \
109@BUILD_EXAMPLES_TRUE@	isolist$(EXEEXT) mmc1$(EXEEXT) \
110@BUILD_EXAMPLES_TRUE@	mmc2$(EXEEXT)
111check_PROGRAMS = $(am__EXEEXT_1)
112subdir = example/C++
113ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
114am__aclocal_m4_deps = $(top_srcdir)/m4/codeset.m4 \
115	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
116	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
117	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
118	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
119	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/pkg.m4 \
120	$(top_srcdir)/configure.ac
121am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
122	$(ACLOCAL_M4)
123DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
124mkinstalldirs = $(install_sh) -d
125CONFIG_HEADER = $(top_builddir)/config.h
126CONFIG_CLEAN_FILES =
127CONFIG_CLEAN_VPATH_FILES =
128@BUILD_EXAMPLES_TRUE@am__EXEEXT_1 = device$(EXEEXT) eject$(EXEEXT) \
129@BUILD_EXAMPLES_TRUE@	isofile$(EXEEXT) isofile2$(EXEEXT) \
130@BUILD_EXAMPLES_TRUE@	isolist$(EXEEXT) mmc1$(EXEEXT) \
131@BUILD_EXAMPLES_TRUE@	mmc2$(EXEEXT)
132PROGRAMS = $(noinst_PROGRAMS)
133am_device_OBJECTS = device.$(OBJEXT)
134device_OBJECTS = $(am_device_OBJECTS)
135am__DEPENDENCIES_1 =
136AM_V_lt = $(am__v_lt_@AM_V@)
137am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
138am__v_lt_0 = --silent
139am__v_lt_1 =
140am_eject_OBJECTS = eject.$(OBJEXT)
141eject_OBJECTS = $(am_eject_OBJECTS)
142am_isofile_OBJECTS = isofile.$(OBJEXT)
143isofile_OBJECTS = $(am_isofile_OBJECTS)
144isofile_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
145	$(am__DEPENDENCIES_1)
146am_isofile2_OBJECTS = isofile2.$(OBJEXT)
147isofile2_OBJECTS = $(am_isofile2_OBJECTS)
148isofile2_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
149	$(am__DEPENDENCIES_1)
150am_isolist_OBJECTS = isolist.$(OBJEXT)
151isolist_OBJECTS = $(am_isolist_OBJECTS)
152isolist_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
153	$(am__DEPENDENCIES_1)
154am_mmc1_OBJECTS = mmc1.$(OBJEXT)
155mmc1_OBJECTS = $(am_mmc1_OBJECTS)
156am_mmc2_OBJECTS = mmc2.$(OBJEXT)
157mmc2_OBJECTS = $(am_mmc2_OBJECTS)
158AM_V_P = $(am__v_P_@AM_V@)
159am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
160am__v_P_0 = false
161am__v_P_1 = :
162AM_V_GEN = $(am__v_GEN_@AM_V@)
163am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
164am__v_GEN_0 = @echo "  GEN     " $@;
165am__v_GEN_1 =
166AM_V_at = $(am__v_at_@AM_V@)
167am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
168am__v_at_0 = @
169am__v_at_1 =
170DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
171depcomp = $(SHELL) $(top_srcdir)/depcomp
172am__depfiles_maybe = depfiles
173am__mv = mv -f
174CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
175	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
176LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
177	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
178	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
179	$(AM_CXXFLAGS) $(CXXFLAGS)
180AM_V_CXX = $(am__v_CXX_@AM_V@)
181am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
182am__v_CXX_0 = @echo "  CXX     " $@;
183am__v_CXX_1 =
184CXXLD = $(CXX)
185CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
186	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
187	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
188AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
189am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
190am__v_CXXLD_0 = @echo "  CXXLD   " $@;
191am__v_CXXLD_1 =
192SOURCES = $(device_SOURCES) $(eject_SOURCES) $(isofile_SOURCES) \
193	$(isofile2_SOURCES) $(isolist_SOURCES) $(mmc1_SOURCES) \
194	$(mmc2_SOURCES)
195DIST_SOURCES = $(device_SOURCES) $(eject_SOURCES) $(isofile_SOURCES) \
196	$(isofile2_SOURCES) $(isolist_SOURCES) $(mmc1_SOURCES) \
197	$(mmc2_SOURCES)
198RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
199	ctags-recursive dvi-recursive html-recursive info-recursive \
200	install-data-recursive install-dvi-recursive \
201	install-exec-recursive install-html-recursive \
202	install-info-recursive install-pdf-recursive \
203	install-ps-recursive install-recursive installcheck-recursive \
204	installdirs-recursive pdf-recursive ps-recursive \
205	tags-recursive uninstall-recursive
206am__can_run_installinfo = \
207  case $$AM_UPDATE_INFO_DIR in \
208    n|no|NO) false;; \
209    *) (install-info --version) >/dev/null 2>&1;; \
210  esac
211RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
212  distclean-recursive maintainer-clean-recursive
213am__recursive_targets = \
214  $(RECURSIVE_TARGETS) \
215  $(RECURSIVE_CLEAN_TARGETS) \
216  $(am__extra_recursive_targets)
217AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
218	check recheck distdir
219am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
220# Read a list of newline-separated strings from the standard input,
221# and print each of them once, without duplicates.  Input order is
222# *not* preserved.
223am__uniquify_input = $(AWK) '\
224  BEGIN { nonempty = 0; } \
225  { items[$$0] = 1; nonempty = 1; } \
226  END { if (nonempty) { for (i in items) print i; }; } \
227'
228# Make sure the list of sources is unique.  This is necessary because,
229# e.g., the same source file might be shared among _SOURCES variables
230# for different programs/libraries.
231am__define_uniq_tagged_files = \
232  list='$(am__tagged_files)'; \
233  unique=`for i in $$list; do \
234    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
235  done | $(am__uniquify_input)`
236ETAGS = etags
237CTAGS = ctags
238am__tty_colors_dummy = \
239  mgn= red= grn= lgn= blu= brg= std=; \
240  am__color_tests=no
241am__tty_colors = { \
242  $(am__tty_colors_dummy); \
243  if test "X$(AM_COLOR_TESTS)" = Xno; then \
244    am__color_tests=no; \
245  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
246    am__color_tests=yes; \
247  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
248    am__color_tests=yes; \
249  fi; \
250  if test $$am__color_tests = yes; then \
251    red=''; \
252    grn=''; \
253    lgn=''; \
254    blu=''; \
255    mgn=''; \
256    brg=''; \
257    std=''; \
258  fi; \
259}
260am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
261am__vpath_adj = case $$p in \
262    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
263    *) f=$$p;; \
264  esac;
265am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
266am__install_max = 40
267am__nobase_strip_setup = \
268  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
269am__nobase_strip = \
270  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
271am__nobase_list = $(am__nobase_strip_setup); \
272  for p in $$list; do echo "$$p $$p"; done | \
273  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
274  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
275    if (++n[$$2] == $(am__install_max)) \
276      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
277    END { for (dir in files) print dir, files[dir] }'
278am__base_list = \
279  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
280  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
281am__uninstall_files_from_dir = { \
282  test -z "$$files" \
283    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
284    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
285         $(am__cd) "$$dir" && rm -f $$files; }; \
286  }
287am__recheck_rx = ^[ 	]*:recheck:[ 	]*
288am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
289am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
290# A command that, given a newline-separated list of test names on the
291# standard input, print the name of the tests that are to be re-run
292# upon "make recheck".
293am__list_recheck_tests = $(AWK) '{ \
294  recheck = 1; \
295  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
296    { \
297      if (rc < 0) \
298        { \
299          if ((getline line2 < ($$0 ".log")) < 0) \
300	    recheck = 0; \
301          break; \
302        } \
303      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
304        { \
305          recheck = 0; \
306          break; \
307        } \
308      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
309        { \
310          break; \
311        } \
312    }; \
313  if (recheck) \
314    print $$0; \
315  close ($$0 ".trs"); \
316  close ($$0 ".log"); \
317}'
318# A command that, given a newline-separated list of test names on the
319# standard input, create the global log from their .trs and .log files.
320am__create_global_log = $(AWK) ' \
321function fatal(msg) \
322{ \
323  print "fatal: making $@: " msg | "cat >&2"; \
324  exit 1; \
325} \
326function rst_section(header) \
327{ \
328  print header; \
329  len = length(header); \
330  for (i = 1; i <= len; i = i + 1) \
331    printf "="; \
332  printf "\n\n"; \
333} \
334{ \
335  copy_in_global_log = 1; \
336  global_test_result = "RUN"; \
337  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
338    { \
339      if (rc < 0) \
340         fatal("failed to read from " $$0 ".trs"); \
341      if (line ~ /$(am__global_test_result_rx)/) \
342        { \
343          sub("$(am__global_test_result_rx)", "", line); \
344          sub("[ 	]*$$", "", line); \
345          global_test_result = line; \
346        } \
347      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
348        copy_in_global_log = 0; \
349    }; \
350  if (copy_in_global_log) \
351    { \
352      rst_section(global_test_result ": " $$0); \
353      while ((rc = (getline line < ($$0 ".log"))) != 0) \
354      { \
355        if (rc < 0) \
356          fatal("failed to read from " $$0 ".log"); \
357        print line; \
358      }; \
359      printf "\n"; \
360    }; \
361  close ($$0 ".trs"); \
362  close ($$0 ".log"); \
363}'
364# Restructured Text title.
365am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
366# Solaris 10 'make', and several other traditional 'make' implementations,
367# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
368# by disabling -e (using the XSI extension "set +e") if it's set.
369am__sh_e_setup = case $$- in *e*) set +e;; esac
370# Default flags passed to test drivers.
371am__common_driver_flags = \
372  --color-tests "$$am__color_tests" \
373  --enable-hard-errors "$$am__enable_hard_errors" \
374  --expect-failure "$$am__expect_failure"
375# To be inserted before the command running the test.  Creates the
376# directory for the log if needed.  Stores in $dir the directory
377# containing $f, in $tst the test, in $log the log.  Executes the
378# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
379# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
380# will run the test scripts (or their associated LOG_COMPILER, if
381# thy have one).
382am__check_pre = \
383$(am__sh_e_setup);					\
384$(am__vpath_adj_setup) $(am__vpath_adj)			\
385$(am__tty_colors);					\
386srcdir=$(srcdir); export srcdir;			\
387case "$@" in						\
388  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
389    *) am__odir=.;; 					\
390esac;							\
391test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
392  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
393if test -f "./$$f"; then dir=./;			\
394elif test -f "$$f"; then dir=;				\
395else dir="$(srcdir)/"; fi;				\
396tst=$$dir$$f; log='$@'; 				\
397if test -n '$(DISABLE_HARD_ERRORS)'; then		\
398  am__enable_hard_errors=no; 				\
399else							\
400  am__enable_hard_errors=yes; 				\
401fi; 							\
402case " $(XFAIL_TESTS) " in				\
403  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
404    am__expect_failure=yes;;				\
405  *)							\
406    am__expect_failure=no;;				\
407esac; 							\
408$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
409# A shell command to get the names of the tests scripts with any registered
410# extension removed (i.e., equivalently, the names of the test logs, with
411# the '.log' extension removed).  The result is saved in the shell variable
412# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
413# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
414# since that might cause problem with VPATH rewrites for suffix-less tests.
415# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
416am__set_TESTS_bases = \
417  bases='$(TEST_LOGS)'; \
418  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
419  bases=`echo $$bases`
420RECHECK_LOGS = $(TEST_LOGS)
421TEST_SUITE_LOG = test-suite.log
422TEST_EXTENSIONS = @EXEEXT@ .test
423LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
424LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
425am__set_b = \
426  case '$@' in \
427    */*) \
428      case '$*' in \
429        */*) b='$*';; \
430          *) b=`echo '$@' | sed 's/\.log$$//'`; \
431       esac;; \
432    *) \
433      b='$*';; \
434  esac
435am__test_logs1 = $(TESTS:=.log)
436am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
437TEST_LOGS = $(am__test_logs2:.test.log=.log)
438TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
439TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
440	$(TEST_LOG_FLAGS)
441DIST_SUBDIRS = $(SUBDIRS)
442am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
443	$(top_srcdir)/test-driver README
444DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
445am__relativize = \
446  dir0=`pwd`; \
447  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
448  sed_rest='s,^[^/]*/*,,'; \
449  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
450  sed_butlast='s,/*[^/]*$$,,'; \
451  while test -n "$$dir1"; do \
452    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
453    if test "$$first" != "."; then \
454      if test "$$first" = ".."; then \
455        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
456        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
457      else \
458        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
459        if test "$$first2" = "$$first"; then \
460          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
461        else \
462          dir2="../$$dir2"; \
463        fi; \
464        dir0="$$dir0"/"$$first"; \
465      fi; \
466    fi; \
467    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
468  done; \
469  reldir="$$dir2"
470ACLOCAL = @ACLOCAL@
471AMTAR = @AMTAR@
472AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
473AR = @AR@
474AS = @AS@
475AUTOCONF = @AUTOCONF@
476AUTOHEADER = @AUTOHEADER@
477AUTOMAKE = @AUTOMAKE@
478AWK = @AWK@
479CC = @CC@
480CCDEPMODE = @CCDEPMODE@
481CDDA_PLAYER_CFLAGS = @CDDA_PLAYER_CFLAGS@
482CDDA_PLAYER_LIBS = @CDDA_PLAYER_LIBS@
483CDDB_CFLAGS = @CDDB_CFLAGS@
484CDDB_LIBS = @CDDB_LIBS@
485CFLAGS = @CFLAGS@
486COS_LIB = @COS_LIB@
487CPP = @CPP@
488CPPFLAGS = @CPPFLAGS@
489CXX = @CXX@
490CXXCPP = @CXXCPP@
491CXXDEPMODE = @CXXDEPMODE@
492CXXFLAGS = @CXXFLAGS@
493CYGPATH_W = @CYGPATH_W@
494DARWIN_PKG_LIB_HACK = @DARWIN_PKG_LIB_HACK@
495DEFS = @DEFS@
496DEPDIR = @DEPDIR@
497DIFF = @DIFF@
498DIFF_OPTS = @DIFF_OPTS@
499DLLTOOL = @DLLTOOL@
500DSYMUTIL = @DSYMUTIL@
501DUMPBIN = @DUMPBIN@
502ECHO_C = @ECHO_C@
503ECHO_N = @ECHO_N@
504ECHO_T = @ECHO_T@
505EGREP = @EGREP@
506EXEEXT = @EXEEXT@
507FGREP = @FGREP@
508GREP = @GREP@
509HAVE_BSDI_CDROM = @HAVE_BSDI_CDROM@
510HAVE_DARWIN_CDROM = @HAVE_DARWIN_CDROM@
511HAVE_FREEBSD_CDROM = @HAVE_FREEBSD_CDROM@
512HAVE_JOLIET = @HAVE_JOLIET@
513HAVE_LINUX_CDROM = @HAVE_LINUX_CDROM@
514HAVE_OS2_CDROM = @HAVE_OS2_CDROM@
515HAVE_ROCK = @HAVE_ROCK@
516HAVE_SOLARIS_CDROM = @HAVE_SOLARIS_CDROM@
517HAVE_WIN32_CDROM = @HAVE_WIN32_CDROM@
518HELP2MAN = @HELP2MAN@
519INSTALL = @INSTALL@
520INSTALL_DATA = @INSTALL_DATA@
521INSTALL_PROGRAM = @INSTALL_PROGRAM@
522INSTALL_SCRIPT = @INSTALL_SCRIPT@
523INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
524ISO_MAKING_COMMAND = @ISO_MAKING_COMMAND@
525LD = @LD@
526LDFLAGS = @LDFLAGS@
527LIBCDIOPP_LIBS = @LIBCDIOPP_LIBS@
528LIBCDIO_CDDA_LIBS = @LIBCDIO_CDDA_LIBS@
529LIBCDIO_CFLAGS = @LIBCDIO_CFLAGS@
530LIBCDIO_DEPS = @LIBCDIO_DEPS@
531LIBCDIO_LIBS = @LIBCDIO_LIBS@
532LIBCDIO_SOURCE_PATH = @LIBCDIO_SOURCE_PATH@
533LIBCDIO_VERSION_NUM = @LIBCDIO_VERSION_NUM@
534LIBICONV = @LIBICONV@
535LIBISO9660PP_LIBS = @LIBISO9660PP_LIBS@
536LIBISO9660_CFLAGS = @LIBISO9660_CFLAGS@
537LIBISO9660_LIBS = @LIBISO9660_LIBS@
538LIBOBJS = @LIBOBJS@
539LIBS = @LIBS@
540LIBTOOL = @LIBTOOL@
541LIBUDF_LIBS = @LIBUDF_LIBS@
542LINUX_CDROM_TIMEOUT = @LINUX_CDROM_TIMEOUT@
543LIPO = @LIPO@
544LN_S = @LN_S@
545LTLIBICONV = @LTLIBICONV@
546LTLIBOBJS = @LTLIBOBJS@
547LT_NO_UNDEFINED = @LT_NO_UNDEFINED@
548LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
549MAINT = @MAINT@
550MAKEINFO = @MAKEINFO@
551MANIFEST_TOOL = @MANIFEST_TOOL@
552MINGW32 = @MINGW32@
553MKDIR_P = @MKDIR_P@
554NM = @NM@
555NMEDIT = @NMEDIT@
556OBJDUMP = @OBJDUMP@
557OBJEXT = @OBJEXT@
558OTOOL = @OTOOL@
559OTOOL64 = @OTOOL64@
560PACKAGE = @PACKAGE@
561PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
562PACKAGE_NAME = @PACKAGE_NAME@
563PACKAGE_STRING = @PACKAGE_STRING@
564PACKAGE_TARNAME = @PACKAGE_TARNAME@
565PACKAGE_URL = @PACKAGE_URL@
566PACKAGE_VERSION = @PACKAGE_VERSION@
567PATH_SEPARATOR = @PATH_SEPARATOR@
568PERL = @PERL@
569PKG_CONFIG = @PKG_CONFIG@
570RANLIB = @RANLIB@
571RM = @RM@
572SBPCD_H = @SBPCD_H@
573SED = @SED@
574SED_EXTENDED_RE_FLAG = @SED_EXTENDED_RE_FLAG@
575SET_MAKE = @SET_MAKE@
576SHELL = @SHELL@
577STRIP = @STRIP@
578TYPESIZES = @TYPESIZES@
579UCDROM_H = @UCDROM_H@
580VCDINFO_CFLAGS = @VCDINFO_CFLAGS@
581VCDINFO_LIBS = @VCDINFO_LIBS@
582VERSION = @VERSION@
583abs_builddir = @abs_builddir@
584abs_srcdir = @abs_srcdir@
585abs_top_builddir = @abs_top_builddir@
586abs_top_srcdir = @abs_top_srcdir@
587ac_ct_AR = @ac_ct_AR@
588ac_ct_CC = @ac_ct_CC@
589ac_ct_CXX = @ac_ct_CXX@
590ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
591am__include = @am__include@
592am__leading_dot = @am__leading_dot@
593am__quote = @am__quote@
594am__tar = @am__tar@
595am__untar = @am__untar@
596bindir = @bindir@
597build = @build@
598build_alias = @build_alias@
599build_cpu = @build_cpu@
600build_os = @build_os@
601build_vendor = @build_vendor@
602builddir = @builddir@
603datadir = @datadir@
604datarootdir = @datarootdir@
605docdir = @docdir@
606dvidir = @dvidir@
607exec_prefix = @exec_prefix@
608host = @host@
609host_alias = @host_alias@
610host_cpu = @host_cpu@
611host_os = @host_os@
612host_vendor = @host_vendor@
613htmldir = @htmldir@
614includedir = @includedir@
615infodir = @infodir@
616install_sh = @install_sh@
617libdir = @libdir@
618libexecdir = @libexecdir@
619localedir = @localedir@
620localstatedir = @localstatedir@
621mandir = @mandir@
622mkdir_p = @mkdir_p@
623native_abs_top_srcdir = @native_abs_top_srcdir@
624oldincludedir = @oldincludedir@
625pdfdir = @pdfdir@
626prefix = @prefix@
627program_transform_name = @program_transform_name@
628psdir = @psdir@
629runstatedir = @runstatedir@
630sbindir = @sbindir@
631sharedstatedir = @sharedstatedir@
632srcdir = @srcdir@
633sysconfdir = @sysconfdir@
634target_alias = @target_alias@
635top_build_prefix = @top_build_prefix@
636top_builddir = @top_builddir@
637top_srcdir = @top_srcdir@
638
639##########################################################
640# Sample C++ programs using libcdio (without OO wrapper)
641#########################################################
642#
643SUBDIRS = OO
644AM_CPPFLAGS = -I$(top_srcdir) $(LIBCDIO_CFLAGS)
645device_DEPENDENCIES = $(LIBCDIO_DEPS)
646device_SOURCES = device.cpp
647device_LDADD = $(LIBCDIO_LIBS)
648eject_DEPENDENCIES = $(LIBCDIO_DEPS)
649eject_SOURCES = eject.cpp
650eject_LDADD = $(LIBCDIO_LIBS)
651isofile_SOURCES = isofile.cpp
652isofile_LDADD = $(LIBISO9660_LIBS) $(LIBCDIO_LIBS) $(LTLIBICONV)
653isofile2_SOURCES = isofile2.cpp
654isofile2_LDADD = $(LIBISO9660_LIBS) $(LIBCDIO_LIBS) $(LTLIBICONV)
655isolist_SOURCES = isolist.cpp
656isolist_LDADD = $(LIBISO9660_LIBS) $(LIBCDIO_LIBS) $(LTLIBICONV)
657mmc1_SOURCES = mmc1.cpp
658mmc1_DEPENDENCIES = $(LIBCDIO_DEPS)
659mmc1_LDADD = $(LIBCDIO_LIBS)
660mmc2_SOURCES = mmc2.cpp
661mmc2_DEPENDENCIES = $(LIBCDIO_DEPS)
662mmc2_LDADD = $(LIBCDIO_LIBS)
663TESTS = $(check_PROGRAMS)
664
665# iso programs create file "copying"
666MOSTLYCLEANFILES = copying *.wav
667all: all-recursive
668
669.SUFFIXES:
670.SUFFIXES: .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
671$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
672	@for dep in $?; do \
673	  case '$(am__configure_deps)' in \
674	    *$$dep*) \
675	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
676	        && { if test -f $@; then exit 0; else break; fi; }; \
677	      exit 1;; \
678	  esac; \
679	done; \
680	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign example/C++/Makefile'; \
681	$(am__cd) $(top_srcdir) && \
682	  $(AUTOMAKE) --foreign example/C++/Makefile
683Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
684	@case '$?' in \
685	  *config.status*) \
686	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
687	  *) \
688	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
689	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
690	esac;
691
692$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
693	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
694
695$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
696	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
697$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
698	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
699$(am__aclocal_m4_deps):
700
701clean-checkPROGRAMS:
702	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
703	echo " rm -f" $$list; \
704	rm -f $$list || exit $$?; \
705	test -n "$(EXEEXT)" || exit 0; \
706	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
707	echo " rm -f" $$list; \
708	rm -f $$list
709
710clean-noinstPROGRAMS:
711	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
712	echo " rm -f" $$list; \
713	rm -f $$list || exit $$?; \
714	test -n "$(EXEEXT)" || exit 0; \
715	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
716	echo " rm -f" $$list; \
717	rm -f $$list
718
719device$(EXEEXT): $(device_OBJECTS) $(device_DEPENDENCIES) $(EXTRA_device_DEPENDENCIES)
720	@rm -f device$(EXEEXT)
721	$(AM_V_CXXLD)$(CXXLINK) $(device_OBJECTS) $(device_LDADD) $(LIBS)
722
723eject$(EXEEXT): $(eject_OBJECTS) $(eject_DEPENDENCIES) $(EXTRA_eject_DEPENDENCIES)
724	@rm -f eject$(EXEEXT)
725	$(AM_V_CXXLD)$(CXXLINK) $(eject_OBJECTS) $(eject_LDADD) $(LIBS)
726
727isofile$(EXEEXT): $(isofile_OBJECTS) $(isofile_DEPENDENCIES) $(EXTRA_isofile_DEPENDENCIES)
728	@rm -f isofile$(EXEEXT)
729	$(AM_V_CXXLD)$(CXXLINK) $(isofile_OBJECTS) $(isofile_LDADD) $(LIBS)
730
731isofile2$(EXEEXT): $(isofile2_OBJECTS) $(isofile2_DEPENDENCIES) $(EXTRA_isofile2_DEPENDENCIES)
732	@rm -f isofile2$(EXEEXT)
733	$(AM_V_CXXLD)$(CXXLINK) $(isofile2_OBJECTS) $(isofile2_LDADD) $(LIBS)
734
735isolist$(EXEEXT): $(isolist_OBJECTS) $(isolist_DEPENDENCIES) $(EXTRA_isolist_DEPENDENCIES)
736	@rm -f isolist$(EXEEXT)
737	$(AM_V_CXXLD)$(CXXLINK) $(isolist_OBJECTS) $(isolist_LDADD) $(LIBS)
738
739mmc1$(EXEEXT): $(mmc1_OBJECTS) $(mmc1_DEPENDENCIES) $(EXTRA_mmc1_DEPENDENCIES)
740	@rm -f mmc1$(EXEEXT)
741	$(AM_V_CXXLD)$(CXXLINK) $(mmc1_OBJECTS) $(mmc1_LDADD) $(LIBS)
742
743mmc2$(EXEEXT): $(mmc2_OBJECTS) $(mmc2_DEPENDENCIES) $(EXTRA_mmc2_DEPENDENCIES)
744	@rm -f mmc2$(EXEEXT)
745	$(AM_V_CXXLD)$(CXXLINK) $(mmc2_OBJECTS) $(mmc2_LDADD) $(LIBS)
746
747mostlyclean-compile:
748	-rm -f *.$(OBJEXT)
749
750distclean-compile:
751	-rm -f *.tab.c
752
753@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/device.Po@am__quote@
754@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/eject.Po@am__quote@
755@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/isofile.Po@am__quote@
756@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/isofile2.Po@am__quote@
757@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/isolist.Po@am__quote@
758@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mmc1.Po@am__quote@
759@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mmc2.Po@am__quote@
760
761.cpp.o:
762@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
763@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
764@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
765@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
766@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
767@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
768
769.cpp.obj:
770@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
771@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
772@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
773@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
774@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
775@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
776
777.cpp.lo:
778@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
779@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
780@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
781@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
782@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
783@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
784
785mostlyclean-libtool:
786	-rm -f *.lo
787
788clean-libtool:
789	-rm -rf .libs _libs
790
791# This directory's subdirectories are mostly independent; you can cd
792# into them and run 'make' without going through this Makefile.
793# To change the values of 'make' variables: instead of editing Makefiles,
794# (1) if the variable is set in 'config.status', edit 'config.status'
795#     (which will cause the Makefiles to be regenerated when you run 'make');
796# (2) otherwise, pass the desired values on the 'make' command line.
797$(am__recursive_targets):
798	@fail=; \
799	if $(am__make_keepgoing); then \
800	  failcom='fail=yes'; \
801	else \
802	  failcom='exit 1'; \
803	fi; \
804	dot_seen=no; \
805	target=`echo $@ | sed s/-recursive//`; \
806	case "$@" in \
807	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
808	  *) list='$(SUBDIRS)' ;; \
809	esac; \
810	for subdir in $$list; do \
811	  echo "Making $$target in $$subdir"; \
812	  if test "$$subdir" = "."; then \
813	    dot_seen=yes; \
814	    local_target="$$target-am"; \
815	  else \
816	    local_target="$$target"; \
817	  fi; \
818	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
819	  || eval $$failcom; \
820	done; \
821	if test "$$dot_seen" = "no"; then \
822	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
823	fi; test -z "$$fail"
824
825ID: $(am__tagged_files)
826	$(am__define_uniq_tagged_files); mkid -fID $$unique
827tags: tags-recursive
828TAGS: tags
829
830tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
831	set x; \
832	here=`pwd`; \
833	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
834	  include_option=--etags-include; \
835	  empty_fix=.; \
836	else \
837	  include_option=--include; \
838	  empty_fix=; \
839	fi; \
840	list='$(SUBDIRS)'; for subdir in $$list; do \
841	  if test "$$subdir" = .; then :; else \
842	    test ! -f $$subdir/TAGS || \
843	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
844	  fi; \
845	done; \
846	$(am__define_uniq_tagged_files); \
847	shift; \
848	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
849	  test -n "$$unique" || unique=$$empty_fix; \
850	  if test $$# -gt 0; then \
851	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
852	      "$$@" $$unique; \
853	  else \
854	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
855	      $$unique; \
856	  fi; \
857	fi
858ctags: ctags-recursive
859
860CTAGS: ctags
861ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
862	$(am__define_uniq_tagged_files); \
863	test -z "$(CTAGS_ARGS)$$unique" \
864	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
865	     $$unique
866
867GTAGS:
868	here=`$(am__cd) $(top_builddir) && pwd` \
869	  && $(am__cd) $(top_srcdir) \
870	  && gtags -i $(GTAGS_ARGS) "$$here"
871cscopelist: cscopelist-recursive
872
873cscopelist-am: $(am__tagged_files)
874	list='$(am__tagged_files)'; \
875	case "$(srcdir)" in \
876	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
877	  *) sdir=$(subdir)/$(srcdir) ;; \
878	esac; \
879	for i in $$list; do \
880	  if test -f "$$i"; then \
881	    echo "$(subdir)/$$i"; \
882	  else \
883	    echo "$$sdir/$$i"; \
884	  fi; \
885	done >> $(top_builddir)/cscope.files
886
887distclean-tags:
888	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
889
890# Recover from deleted '.trs' file; this should ensure that
891# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
892# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
893# to avoid problems with "make -n".
894.log.trs:
895	rm -f $< $@
896	$(MAKE) $(AM_MAKEFLAGS) $<
897
898# Leading 'am--fnord' is there to ensure the list of targets does not
899# expand to empty, as could happen e.g. with make check TESTS=''.
900am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
901am--force-recheck:
902	@:
903
904$(TEST_SUITE_LOG): $(TEST_LOGS)
905	@$(am__set_TESTS_bases); \
906	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
907	redo_bases=`for i in $$bases; do \
908	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
909	            done`; \
910	if test -n "$$redo_bases"; then \
911	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
912	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
913	  if $(am__make_dryrun); then :; else \
914	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
915	  fi; \
916	fi; \
917	if test -n "$$am__remaking_logs"; then \
918	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
919	       "recursion detected" >&2; \
920	elif test -n "$$redo_logs"; then \
921	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
922	fi; \
923	if $(am__make_dryrun); then :; else \
924	  st=0;  \
925	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
926	  for i in $$redo_bases; do \
927	    test -f $$i.trs && test -r $$i.trs \
928	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
929	    test -f $$i.log && test -r $$i.log \
930	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
931	  done; \
932	  test $$st -eq 0 || exit 1; \
933	fi
934	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
935	ws='[ 	]'; \
936	results=`for b in $$bases; do echo $$b.trs; done`; \
937	test -n "$$results" || results=/dev/null; \
938	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
939	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
940	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
941	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
942	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
943	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
944	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
945	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
946	  success=true; \
947	else \
948	  success=false; \
949	fi; \
950	br='==================='; br=$$br$$br$$br$$br; \
951	result_count () \
952	{ \
953	    if test x"$$1" = x"--maybe-color"; then \
954	      maybe_colorize=yes; \
955	    elif test x"$$1" = x"--no-color"; then \
956	      maybe_colorize=no; \
957	    else \
958	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
959	    fi; \
960	    shift; \
961	    desc=$$1 count=$$2; \
962	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
963	      color_start=$$3 color_end=$$std; \
964	    else \
965	      color_start= color_end=; \
966	    fi; \
967	    echo "$${color_start}# $$desc $$count$${color_end}"; \
968	}; \
969	create_testsuite_report () \
970	{ \
971	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
972	  result_count $$1 "PASS: " $$pass  "$$grn"; \
973	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
974	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
975	  result_count $$1 "FAIL: " $$fail  "$$red"; \
976	  result_count $$1 "XPASS:" $$xpass "$$red"; \
977	  result_count $$1 "ERROR:" $$error "$$mgn"; \
978	}; \
979	{								\
980	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
981	    $(am__rst_title);						\
982	  create_testsuite_report --no-color;				\
983	  echo;								\
984	  echo ".. contents:: :depth: 2";				\
985	  echo;								\
986	  for b in $$bases; do echo $$b; done				\
987	    | $(am__create_global_log);					\
988	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
989	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
990	if $$success; then						\
991	  col="$$grn";							\
992	 else								\
993	  col="$$red";							\
994	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
995	fi;								\
996	echo "$${col}$$br$${std}"; 					\
997	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
998	echo "$${col}$$br$${std}"; 					\
999	create_testsuite_report --maybe-color;				\
1000	echo "$$col$$br$$std";						\
1001	if $$success; then :; else					\
1002	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1003	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1004	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1005	  fi;								\
1006	  echo "$$col$$br$$std";					\
1007	fi;								\
1008	$$success || exit 1
1009
1010check-TESTS:
1011	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1012	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1013	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1014	@set +e; $(am__set_TESTS_bases); \
1015	log_list=`for i in $$bases; do echo $$i.log; done`; \
1016	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1017	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1018	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1019	exit $$?;
1020recheck: all $(check_PROGRAMS)
1021	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1022	@set +e; $(am__set_TESTS_bases); \
1023	bases=`for i in $$bases; do echo $$i; done \
1024	         | $(am__list_recheck_tests)` || exit 1; \
1025	log_list=`for i in $$bases; do echo $$i.log; done`; \
1026	log_list=`echo $$log_list`; \
1027	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1028	        am__force_recheck=am--force-recheck \
1029	        TEST_LOGS="$$log_list"; \
1030	exit $$?
1031device.log: device$(EXEEXT)
1032	@p='device$(EXEEXT)'; \
1033	b='device'; \
1034	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1035	--log-file $$b.log --trs-file $$b.trs \
1036	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1037	"$$tst" $(AM_TESTS_FD_REDIRECT)
1038eject.log: eject$(EXEEXT)
1039	@p='eject$(EXEEXT)'; \
1040	b='eject'; \
1041	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1042	--log-file $$b.log --trs-file $$b.trs \
1043	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1044	"$$tst" $(AM_TESTS_FD_REDIRECT)
1045isofile.log: isofile$(EXEEXT)
1046	@p='isofile$(EXEEXT)'; \
1047	b='isofile'; \
1048	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1049	--log-file $$b.log --trs-file $$b.trs \
1050	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1051	"$$tst" $(AM_TESTS_FD_REDIRECT)
1052isofile2.log: isofile2$(EXEEXT)
1053	@p='isofile2$(EXEEXT)'; \
1054	b='isofile2'; \
1055	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1056	--log-file $$b.log --trs-file $$b.trs \
1057	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1058	"$$tst" $(AM_TESTS_FD_REDIRECT)
1059isolist.log: isolist$(EXEEXT)
1060	@p='isolist$(EXEEXT)'; \
1061	b='isolist'; \
1062	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1063	--log-file $$b.log --trs-file $$b.trs \
1064	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1065	"$$tst" $(AM_TESTS_FD_REDIRECT)
1066mmc1.log: mmc1$(EXEEXT)
1067	@p='mmc1$(EXEEXT)'; \
1068	b='mmc1'; \
1069	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1070	--log-file $$b.log --trs-file $$b.trs \
1071	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1072	"$$tst" $(AM_TESTS_FD_REDIRECT)
1073mmc2.log: mmc2$(EXEEXT)
1074	@p='mmc2$(EXEEXT)'; \
1075	b='mmc2'; \
1076	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1077	--log-file $$b.log --trs-file $$b.trs \
1078	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1079	"$$tst" $(AM_TESTS_FD_REDIRECT)
1080.test.log:
1081	@p='$<'; \
1082	$(am__set_b); \
1083	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1084	--log-file $$b.log --trs-file $$b.trs \
1085	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1086	"$$tst" $(AM_TESTS_FD_REDIRECT)
1087@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1088@am__EXEEXT_TRUE@	@p='$<'; \
1089@am__EXEEXT_TRUE@	$(am__set_b); \
1090@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1091@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1092@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1093@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1094
1095distdir: $(DISTFILES)
1096	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1097	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1098	list='$(DISTFILES)'; \
1099	  dist_files=`for file in $$list; do echo $$file; done | \
1100	  sed -e "s|^$$srcdirstrip/||;t" \
1101	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1102	case $$dist_files in \
1103	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1104			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1105			   sort -u` ;; \
1106	esac; \
1107	for file in $$dist_files; do \
1108	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1109	  if test -d $$d/$$file; then \
1110	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1111	    if test -d "$(distdir)/$$file"; then \
1112	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1113	    fi; \
1114	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1115	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1116	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1117	    fi; \
1118	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1119	  else \
1120	    test -f "$(distdir)/$$file" \
1121	    || cp -p $$d/$$file "$(distdir)/$$file" \
1122	    || exit 1; \
1123	  fi; \
1124	done
1125	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1126	  if test "$$subdir" = .; then :; else \
1127	    $(am__make_dryrun) \
1128	      || test -d "$(distdir)/$$subdir" \
1129	      || $(MKDIR_P) "$(distdir)/$$subdir" \
1130	      || exit 1; \
1131	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1132	    $(am__relativize); \
1133	    new_distdir=$$reldir; \
1134	    dir1=$$subdir; dir2="$(top_distdir)"; \
1135	    $(am__relativize); \
1136	    new_top_distdir=$$reldir; \
1137	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1138	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1139	    ($(am__cd) $$subdir && \
1140	      $(MAKE) $(AM_MAKEFLAGS) \
1141	        top_distdir="$$new_top_distdir" \
1142	        distdir="$$new_distdir" \
1143		am__remove_distdir=: \
1144		am__skip_length_check=: \
1145		am__skip_mode_fix=: \
1146	        distdir) \
1147	      || exit 1; \
1148	  fi; \
1149	done
1150check-am: all-am
1151	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1152	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1153check: check-recursive
1154all-am: Makefile $(PROGRAMS)
1155installdirs: installdirs-recursive
1156installdirs-am:
1157install: install-recursive
1158install-exec: install-exec-recursive
1159install-data: install-data-recursive
1160uninstall: uninstall-recursive
1161
1162install-am: all-am
1163	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1164
1165installcheck: installcheck-recursive
1166install-strip:
1167	if test -z '$(STRIP)'; then \
1168	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1169	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1170	      install; \
1171	else \
1172	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1173	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1174	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1175	fi
1176mostlyclean-generic:
1177	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1178	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1179	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1180	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1181
1182clean-generic:
1183
1184distclean-generic:
1185	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1186	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1187
1188maintainer-clean-generic:
1189	@echo "This command is intended for maintainers to use"
1190	@echo "it deletes files that may require special tools to rebuild."
1191clean: clean-recursive
1192
1193clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1194	clean-noinstPROGRAMS mostlyclean-am
1195
1196distclean: distclean-recursive
1197	-rm -rf ./$(DEPDIR)
1198	-rm -f Makefile
1199distclean-am: clean-am distclean-compile distclean-generic \
1200	distclean-tags
1201
1202dvi: dvi-recursive
1203
1204dvi-am:
1205
1206html: html-recursive
1207
1208html-am:
1209
1210info: info-recursive
1211
1212info-am:
1213
1214install-data-am:
1215
1216install-dvi: install-dvi-recursive
1217
1218install-dvi-am:
1219
1220install-exec-am:
1221
1222install-html: install-html-recursive
1223
1224install-html-am:
1225
1226install-info: install-info-recursive
1227
1228install-info-am:
1229
1230install-man:
1231
1232install-pdf: install-pdf-recursive
1233
1234install-pdf-am:
1235
1236install-ps: install-ps-recursive
1237
1238install-ps-am:
1239
1240installcheck-am:
1241
1242maintainer-clean: maintainer-clean-recursive
1243	-rm -rf ./$(DEPDIR)
1244	-rm -f Makefile
1245maintainer-clean-am: distclean-am maintainer-clean-generic
1246
1247mostlyclean: mostlyclean-recursive
1248
1249mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1250	mostlyclean-libtool
1251
1252pdf: pdf-recursive
1253
1254pdf-am:
1255
1256ps: ps-recursive
1257
1258ps-am:
1259
1260uninstall-am:
1261
1262.MAKE: $(am__recursive_targets) check-am install-am install-strip
1263
1264.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1265	check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1266	clean-libtool clean-noinstPROGRAMS cscopelist-am ctags \
1267	ctags-am distclean distclean-compile distclean-generic \
1268	distclean-libtool distclean-tags distdir dvi dvi-am html \
1269	html-am info info-am install install-am install-data \
1270	install-data-am install-dvi install-dvi-am install-exec \
1271	install-exec-am install-html install-html-am install-info \
1272	install-info-am install-man install-pdf install-pdf-am \
1273	install-ps install-ps-am install-strip installcheck \
1274	installcheck-am installdirs installdirs-am maintainer-clean \
1275	maintainer-clean-generic mostlyclean mostlyclean-compile \
1276	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1277	recheck tags tags-am uninstall uninstall-am
1278
1279.PRECIOUS: Makefile
1280
1281
1282#: run valgrind on C++ programs
1283check-leaks: $(check_PROGRAMS)
1284	for p in $(check_PROGRAMS); do \
1285	   valgrind ./$$p; \
1286        done
1287
1288# Tell versions [3.59,3.63) of GNU make to not export all variables.
1289# Otherwise a system limit (for SysV at least) may be exceeded.
1290.NOEXPORT:
1291